Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.wfadapter
Interface Folder

All Superinterfaces:
  DMSObject, java.io.Serializable

public interface Folder
extends DMSObject

Used to handle `DMS` objects representing a folder in the Document Management System (DMS). It inherits from `DMSObject`. .

As more specific interface, the `Folder` interface provides better compile-time checking to ensure that only appropriate methods and constants are used. It is therefore useful to typecast a `DMSObject` object to a `Folder` (or `Document`) object as early as appropriate.

Exceptions are subclasses of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

See Also:
  `DMSEntityValue`, `DMSObject`, `Document`

Field Summary

Fields inherited from interface com.fujitsu.iflow.model.wfadapter.DMSObject
`TYPE_DOCUMENT, TYPE_FOLDER`

Method Summary
`DMSObject[]` | `getContents()` Returns the contents from the specified folder, representing them as `DMSObjects`.
`DMSObject` | `getEntry(java.lang.String name)` Returns the `DMSObject` associated with the specified name in the folder.
`java.lang.String` | `getName()` Returns the folder name.
`java.lang.String` | `getPath()` Fully qualified path of this object in the Document Management System.
`int` | `getType()` Type of the `Folder`.

Method Detail

### getPath

    public java.lang.String getPath()

  Fully qualified path of this object in the Document Management System.

  Specified by:
    `getPath` in interface `DMSObject`
  Returns:
    path of the `Folder` object.

### getType

    public int getType()

  Type of the `Folder`.

  Specified by:
    `getType` in interface `DMSObject`
  Returns:
    `TYPE_FOLDER`.

### getName

    public java.lang.String getName()

  Returns the folder name. Redundant method. Please see parent interface. The folder name is used as a descriptive name for the folder that the user sees when viewing a list of folders.

  Specified by:
    `getName` in interface `DMSObject`
  Returns:
    name - String containing the name of the folder.

### getEntry

    public DMSObject getEntry(java.lang.String name)
                       throws ModelInternalException

  Returns the `DMSObject` associated with the specified name in the folder. Common properties can be accessed via `DMSObject`, and via `getType()` the subtype can be identified for typecasting.

  Parameters:
    `name` - The name that is associated with the object to be retrieved.
  Returns:
    The entry of current folder associated with specified name.
  Throws:
    `ModelInternalException`

### getContents

    public DMSObject[] getContents()
                            throws ModelInternalException

  Returns the contents from the specified folder, representing them as `DMSObjects`. Common properties can be accessed via `DMSObject`, and via `getType()` the subtype can be identified for typecasting.

  Returns:
    The contents of current folder.
  Throws:
    `ModelInternalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD